--- title: HTML Cheatsheet slug: Learn/HTML/Cheatsheet tags: - Beginner - Draft - Guide - HTML ---

{{draft}}

While using {{Glossary("HTML")}} it can be very handy to have an easy way to remember how to use HTML tags properly and how to apply them. MDN provides you with an extended [HTML documentation](/en-US/docs/Web/HTML/Element) as well as a deep instructional [HTML how-to](/en-US/docs/Learn/HTML/Howto). However, in many cases we just need some quick hints as we go. That's the whole purpose of the cheatsheet, to give you some quick accurate ready to use code snippets for common usages.

Remember that HTML tags must be used for their semantic, not their appearance. It's always possible to totally change the look and feel of a given tag using {{Glossary("CSS")}} so, when using HTML, take the time to focus on the meaning rather than the appearance.

Inline elements
---------------

An "element" is a single part of a webpage. Some elements are large and hold smaller elements like containers. Some elements are small and are "nested" inside larger ones. By default, "inline elements" appear next to one another in a webpage. They take up only as much width as they need in a page and fit together horizontally like words in a sentence or books shelved side-by-side in a row.All inline elements can be implemented within the &lt;body&gt;&lt;/body&gt; tags.

<table><colgroup><col style="width: 33%" /><col style="width: 33%" /><col style="width: 33%" /></colgroup><thead><tr class="header"><th>Usage</th><th>Code snippet</th><th>Result</th></tr></thead><tbody><tr class="odd"><td>A simple link</td><td><code>&lt;a href="https://developer.mozilla.org"&gt;A link to           MDN&lt;/a&gt;</code></td><td><a href="https://developer.mozilla.org">A link to MDN</a></td></tr><tr class="even"><td>A simple image</td><td><code>&lt;img src="/static/img/beast.png" width="25" /&gt;</code></td><td><img src="beast.png" /></td></tr><tr class="odd"><td>A generic inline container</td><td><code>&lt;p&gt;p its used to &lt;span style="color:blue"&gt;style and           group&lt;/span&gt; particular elements &lt;/p&gt;</code></td><td><p>p its used to <span style="color: blue">style and group</span> particular elements</p></td></tr><tr class="even"><td>Another inline container</td><td><code>&lt;p&gt;span its used to differentiate a part &lt;span           style="color:blue"&gt;of the content&lt;/span&gt; that we will work on           differently &lt;/p&gt;</code></td><td><p>span its used to differentiate a part <span style="color: blue">of the content</span> that we will work on differently</p></td></tr><tr class="odd"><td>Emphasize some text</td><td><code>&lt;em&gt;I'm posh&lt;/em&gt;</code></td><td><em>I'm posh</em></td></tr><tr class="even"><td>Italic text</td><td><code>You can mark a phrase in the text in &lt;i&gt;italics&lt;/i&gt;</code></td><td>You can mark a phrase in the text in <em>italics</em></td></tr><tr class="odd"><td>Bold some text</td><td><code>&lt;b&gt;Bold a word or phrase&lt;/b&gt;within the text</code></td><td><strong>Bold a word or phrase</strong> within the text</td></tr><tr class="even"><td>Mark text as important</td><td><code>&lt;strong&gt;I'm important&lt;/strong&gt;</code></td><td><p><strong>I'm important</strong></p></td></tr><tr class="odd"><td>Highlight some text</td><td><code>&lt;mark&gt;Notice me&lt;/mark&gt;</code></td><td>Notice me</td></tr><tr class="even"><td>Draw a line through irrelevant text</td><td><code>&lt;s&gt;I'm irrelevant&lt;/s&gt;</code></td><td><del>I'm irrelevant</del></td></tr><tr class="odd"><td>Underline a non-textual annotation</td><td><code>This is &lt;u&gt;mispelled&lt;/u&gt;</code></td><td>This is <span class="underline">mispelled</span></td></tr><tr class="even"><td>Text displayed lower than normal text</td><td><code>H&lt;sub&gt;2&lt;/sub&gt;O</code></td><td>H<sub>2</sub>O</td></tr><tr class="odd"><td>Small text</td><td><code>Used to represent the &lt;small&gt;small print &lt;/small&gt;of a           document</code></td><td>Used to represent the <span class="small">small print of a document</span></td></tr><tr class="even"><td>Used for an address</td><td><code>&lt;address&gt;Main street 67&lt;/address&gt;</code></td><td>Main street 67</td></tr><tr class="odd"><td>Used for a textual cite</td><td><code>&lt;cite&gt;Lorem ipsum&lt;/cite&gt;</code></td><td>lorem ipsum</td></tr><tr class="even"><td>Text displayed higher than normal text</td><td><code>x&lt;sup&gt;2&lt;/sup&gt;</code></td><td>x<sup>2</sup></td></tr><tr class="odd"><td>A short inline quotation</td><td><code>&lt;q&gt;The q element indicates a short inline           quotation.&lt;/q&gt;</code></td><td>“The q element indicates a short inline quotation.”</td></tr><tr class="even"><td>A line break</td><td><code>Line 1&lt;br&gt;Line 2</code></td><td>Line 1<br />
Line 2</td></tr><tr class="odd"><td>Suggesting a line break</td><td><code>It is used to suggest the browser to cut the text on this site if           &lt;/wbr&gt;there is not enough space to display it on the same           line</code></td><td>It is used to suggest the browser to cut the text on this site if there is not enough space to display it on the same line</td></tr><tr class="even"><td>Date in readable form</td><td><code>It is used to format the date legibly for the user, such as: &lt;time           datetime="2020-05-24" pubdate&gt;published on           23-05-2020&lt;/time&gt;</code></td><td>It is used to format the date legibly for the user, such as: published on 23-05-2020</td></tr><tr class="odd"><td>Text displayed in code format</td><td><p>&lt;p&gt;This text is in normal format.&lt;/p&gt;</p><p>&lt;code&gt;This text is in code format.&lt;/code&gt;</p><p>&lt;pre&gt;This text is in predefined format.&lt;/pre&gt;</p></td><td><p>This text is in normal format.</p><code>This text is in code format.</code><pre><code>This text is in predefined format.</code></pre></td></tr><tr class="even"><td>Embedded Audio</td><td>&lt;audio controls="controls" src="https://media.prod.mdn.mozit.cloud/attachments/2012/07/09/2587/81ebdf32055cc6bb8aab948b51d58d9f/AudioTest%20(1).ogg"&gt;Your browser does not support the HTML5 Audio element.&lt;/audio&gt;</td><td>Your browser does not support the HTML5 Audio element.</td></tr><tr class="odd"><td>Embedded Audio with alternative sources</td><td>&lt;audio controls="controls"&gt; &lt;source="https://mdn.mozillademos.org/files/2587/AudioTest%20%281%29.mp3" type="audio/mpeg"&gt; &lt;source="https://media.prod.mdn.mozit.cloud/attachments/2012/07/09/2587/81ebdf32055cc6bb8aab948b51d58d9f/AudioTest%20(1).ogg" type="audio/mpeg"&gt; Your browser does not support Audio. &lt;/audio&gt;</td><td>Your browser does not support Audio.</td></tr><tr class="even"><td>Embedded Video</td><td>&lt;video controls src="https://interactive-examples.mdn.mozilla.net/media/cc0-videos/flower.webm"&gt;The &lt;code&gt;video&lt;/code&gt; element is unsupported.&lt;/video&gt;</td><td><div id="sampleVideo" class="hidden"><div class="sourceCode" id="cb2"><pre class="sourceCode brush: html"><code class="sourceCode html"><a class="sourceLine" id="cb2-1" title="1"><span class="kw">&lt;video</span><span class="ot"> controls src=</span><span class="st">&quot;https://interactive-examples.mdn.mozilla.net/media/cc0-videos/flower.webm&quot;</span><span class="ot"> style=</span><span class="st">&quot;width: 100%;&quot;</span> <span class="kw">&gt;</span>The <span class="kw">&lt;code&gt;</span>video<span class="kw">&lt;/code&gt;</span> element is unsupported.<span class="kw">&lt;/video&gt;</span></a></code></pre></div></div>{{EmbedLiveSample("sampleVideo",300,180,"","", "nobutton")}}</td></tr></tbody></table>

Block elements
--------------

"Block elements," on the other hand, take up the entire width of a webpage. They also take up a full line of a webpage; they do not fit together side-by-side. Instead, they stack like paragraphs in an essay or toy blocks in a tower.

<table><colgroup><col style="width: 33%" /><col style="width: 33%" /><col style="width: 33%" /></colgroup><thead><tr class="header"><th>Usage</th><th>Code snippet</th><th>Result</th></tr></thead><tbody><tr class="odd"><td>A simple paragraph</td><td><p><code>&lt;p&gt;I'm a paragraph&lt;/p&gt;</code><br />
<code>&lt;p&gt;I'm another paragraph&lt;/p&gt; </code></p></td><td><p>I'm a paragraph</p><p>I'm another paragraph</p></td></tr><tr class="even"><td>An extended quotation</td><td><code>&lt;blockquote&gt;The blockquote element indicates an extended           quotation.&lt;/blockquote&gt;</code></td><td><blockquote>The blockquote element indicates an extended quotation.</blockquote></td></tr><tr class="odd"><td>Additional information</td><td><code>&lt;details&gt;&lt;summary&gt;Html           Cheatsheet&lt;/summary&gt;&lt;p&gt;Inline           elements&lt;/p&gt;&lt;p&gt;Block           elements&lt;/p&gt;&lt;/details&gt;</code></td><td>Html Cheatsheet<p>Inline elements</p><p>Block elements</p></td></tr><tr class="even"><td>An unordered list</td><td><code>&lt;ul&gt;             &lt;li&gt;I'm an item&lt;/li&gt;             &lt;li&gt;I'm another item&lt;/li&gt;           &lt;/ul&gt;</code></td><td><ul><li>I'm an item</li><li>I'm another item</li></ul></td></tr><tr class="odd"><td>An ordered list</td><td><code>&lt;ol&gt;             &lt;li&gt;I'm the first item&lt;/li&gt;             &lt;li&gt;I'm the second item&lt;/li&gt;           &lt;/ol&gt;</code></td><td><ol><li>I'm the first item</li><li>I'm the second item</li></ol></td></tr><tr class="even"><td>A definition list</td><td><p><code>&lt;dl&gt;               &lt;dt&gt;A Term&lt;/dt&gt;                 &lt;dd&gt;Definition of a term&lt;/dd&gt;               &lt;dt&gt;Another Term&lt;/dt&gt;                 &lt;dd&gt;Definition of another term&lt;/dd&gt;             &lt;/dl&gt;</code></p></td><td><dl><dt>A Term</dt><dd>Definition of a term</dd><dt>Another Term</dt><dd>Definition of another term</dd></dl></td></tr><tr class="odd"><td>A horizontal rule</td><td><code>&lt;hr&gt;</code></td><td><hr /></td></tr><tr class="even"><td>Text Heading</td><td><p><code>&lt;h1&gt; This is Heading 1 &lt;/h1&gt;</code></p><p><code>&lt;h2&gt; This is Heading 2 &lt;/h2&gt;</code></p><p><code>&lt;h3&gt; This is Heading 3 &lt;/h3&gt;</code></p><p><code>&lt;h4&gt; This is Heading 4 &lt;/h4&gt;</code></p><p><code>&lt;h5&gt; This is Heading 5 &lt;/h5&gt;</code></p><p><code>&lt;h6&gt; This is Heading 6 &lt;/h6&gt;</code></p></td><td><h1 id="This_is_Heading_1">This is Heading 1</h1><h2 id="This_is_Heading_2">This is Heading 2</h2><h3 id="This_is_Heading_3">This is Heading 3</h3><h4 id="This_is_Heading_4">This is Heading 4</h4><h5 id="This_is_Heading_5">This is Heading 5</h5><h6 id="This_is_Heading_6">This is Heading 6</h6></td></tr></tbody></table>

Your browser does not support the `audio` element.
